# fly.toml file generated for sqr-lab-1 on 2023-02-20T16:47:54+03:00

app = "sqr-lab-1"
kill_signal = "SIGINT"
kill_timeout = 5
processes = []

# [build]
#   builder = "paketobuildpacks/builder:base"
#   buildpacks = ["gcr.io/paketo-buildpacks/maven"]


[env]

[experimental]
  auto_rollback = true

[[services]]
  http_checks = []
  internal_port = 8080
  processes = ["app"]
  protocol = "tcp"
  script_checks = []
  [services.concurrency]
    hard_limit = 25
    soft_limit = 20
    type = "connections"

  [[services.ports]]
    force_https = true
    handlers = ["http"]
    port = 80

  [[services.ports]]
    handlers = ["tls", "http"]
    port = 443

  [[services.tcp_checks]]
    grace_period = "1s"
    interval = "15s"
    restart_limit = 0
    timeout = "2s"
